{% load static %}
{% block content %}
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" href="{% static 'css/main.css' %}"/>
        <title>Connect 2 Order</title>
        <script type="text/javascript">
            var user = '{{request.user}}'
    
            function getToken(name) {
                var cookieValue = null;
                if (document.cookie && document.cookie !== '') {
                    var cookies = document.cookie.split(';');
                    for (var i = 0; i < cookies.length; i++) {
                        var cookie = cookies[i].trim();
                        if (cookie.substring(0, name.length + 1) === (name + '=')) {
                            cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                            break;
                        }
                    }
                }
                return cookieValue;
            }
            var csrftoken = getToken('csrftoken')
            


            function getCookie(name) {
		        var cookieArr = document.cookie.split(";");

		        for(var i = 0; i < cookieArr.length; i++) {
		            var cookiePair = cookieArr[i].split("=");

		            if(name == cookiePair[0].trim()) {
		                return decodeURIComponent(cookiePair[1]);
		            }
		        }

		        return null;
		    }
		    var cart = JSON.parse(getCookie('cart'))

		    if (cart == undefined){
			    cart = {}
			    console.log('Cart Created!', cart)
			    document.cookie ='cart=' + JSON.stringify(cart) + ";domain=;path=/"
		    }
		    console.log('Cart:', cart)
        
        </script>
    </head>
    <body>
        <!--navbar starts-->
        <nav>
            <div class="wrapper">
                <div class="logo">
                    <h2>Connect 2 Order</h2>
                </div>
                
                <div class="nav-links">
                    <li><a href="/connect">Products</a></li>
                    <li><a href="/business">Sell</a></li>
                </div>
                <div class="nav-links-fa">
                    <a href="/cart"><i class="fa-solid fa-cart-shopping">{{cartItems}}</i></a>
                    <a href="/loginUser"><i class="fa-regular fa-user"></i></a>
                    <div class="menu">
                        <i class="fa-solid fa-bars"></i>
                    </div>
                </div>
            </div>
        </nav>
        <!--navbar ends-->
        <!--header starts-->
    <header>
        <h1>Explore</h1>
        <p></p>
        <h4>The best deals from the best dealers!</h4>
        <!--<div class="button">Learn More</div>-->
        
            <a href="/connect" class="alink"><button class="buy-banner">Connect</button></a>
        
    </header>
    <!--header ends-->
    <section class="specification">
        <h1>Featured</h1>
        <h4>Explore Featured products</h4>
    </section>
    <section class="items">
        {% for product in products %}
        <li>
            <img src="{{product.imageURL}}" alt="">
            <h4>{{product.name}}</h4>
            <h5>shs {{product.price|floatformat:1}}</h5>
            <div class="purchase">
                <button data-product="{{product.id}}" data-action="add" class="p-cart update-cart">Add to Cart</button>
                <a href="{% url 'product_details' product.id %}" class="alink"><button class="buy">View</button></a>
                
            </div>
        </li>
        {% endfor %}
    </section>
    <section class="discover">
        <h1>Discover</h1>
        <div class="slider">
            <div class="image-container">
                <img id="slider-1" src="{% static 'images/bannerp.jpg' %}" alt="banner" />
                <img id="slider-2" src="{% static 'images/banner1.jpg' %}" alt="banner1" />
                <img id="slider-3" src="{% static 'images/banner2.jpg' %}" alt="banner2" />
            </div>
            <div class="slider-nav">
                <a href="#slider-1"></a>
                <a href="#slider-2"></a>
                <a href="#slider-3"></a>
            </div>
        </div>
    </section>
    <script type="text/javascript" src="{% static 'js/cart.js' %}"></script>
    <script src="https://kit.fontawesome.com/f8a9fd1092.js" crossorigin="anonymous"></script>
    
    <script>
        const menuBtn = document.querySelector('.menu')
        const navlinks = document.querySelector('.nav-links')

        menuBtn.addEventListener('click',()=>{
            navlinks.classList.toggle('mobile-menu')
        })
    </script>
    </body>
</html>
{% endblock content %}